#include "gui_writer.h"
#include "xml.h"
#include "mapstorage.h"
#include <lemon/dim2.h>
#include <vector>

std::string GuiWriter::header()
{
  return "@gui";
}

void GuiWriter::write(std::ostream& os)
{
  XmlIo x(os);
  std::map<int, XY > m;
  for (EdgeIt e(mapstorage->graph); e != INVALID; ++e)
  {
    int edgeid = (int)(*(mapstorage->edgemap_storage["label"]))[e];
    m[edgeid] = mapstorage->arrow_pos[e];
  }
  x("arrow_pos", m);

  std::map<int, std::string> nm;
  for(int i=0;i<NODE_PROPERTY_NUM;i++)
    {
      nm[i]=mapstorage->active_nodemaps[i];
    }
  x("active_nodemaps", nm);

  std::map<int, std::string> em;
  for(int i=0;i<EDGE_PROPERTY_NUM;i++)
    {
      em[i]=mapstorage->active_edgemaps[i];
    }
  x("active_edgemaps", em);
}

GuiWriter::GuiWriter(LemonWriter& writer, MapStorage* ms) : Parent(writer), mapstorage(ms)
{
}
